Skip to main content
`Ctrl`+`K`

# DMDASetOverlap

Sets the size of the per-processor overlap.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetOverlap(DM da, PetscInt x, PetscInt y, PetscInt z)

Not Collective

## Input Parameters

- da - The `DMDA`

- x - Overlap in the x direction

- y - Overlap in the y direction

- z - Overlap in the z direction

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMCreateDomainDecomposition()`, `DMDAGetOverlap()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/dm/tutorials/ex19.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages